import request from '@/utils/request'

// 查询测试学生列表
export function listTest_student(query) {
  return request({
    url: '/learn/test_student/list',
    method: 'get',
    params: query
  })
}

// 查询测试学生详细
export function getTest_student(id) {
  return request({
    url: '/learn/test_student/' + id,
    method: 'get'
  })
}

// 新增测试学生
export function addTest_student(data) {
  return request({
    url: '/learn/test_student',
    method: 'post',
    data: data
  })
}

// 修改测试学生
export function updateTest_student(data) {
  return request({
    url: '/learn/test_student',
    method: 'put',
    data: data
  })
}

// 删除测试学生
export function delTest_student(id) {
  return request({
    url: '/learn/test_student/' + id,
    method: 'delete'
  })
}
